Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class ProcessUtils

    java.lang.Object
      net.sf.statsvn.util.ProcessUtils

public final class ProcessUtils
extends Object

This class provides a way of launching new processes. It is not the best way and it surely does not work well in multi-threaded environments. It is sufficient for StatSVN's single thread. We should be launching two threads with readers for both, but we are lazy. http://www.javaworld.com/javaworld/jw-12-2000/jw-1229-traps_p.html

Author:
  jkealey

Constructor Summary
`ProcessUtils()` A utility class (only static methods) should be final and have a private constructor.

Method Summary
`static ProcessUtils` | `call(String sCommand)`
`void` | `close()`
`protected String` | `getErrorMessage()`
`BufferedInputStream` | `getErrorStream()`
`BufferedInputStream` | `getInputStream()`
`protected boolean` | `hasErrorOccured()`
`void` | `setErrorStream(InputStream errorStream)`
`void` | `setInputStream(InputStream inputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessUtils

    public ProcessUtils()

  A utility class (only static methods) should be final and have a private constructor.

Method Detail

### call

    public static ProcessUtils call(String sCommand)
                             throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### hasErrorOccured

    protected boolean hasErrorOccured()
                               throws IOException

  Throws:
    `IOException`

### getErrorMessage

    protected String getErrorMessage()

### getErrorStream

    public BufferedInputStream getErrorStream()

  Returns:
    the errorStream

### getInputStream

    public BufferedInputStream getInputStream()

  Returns:
    the inputStream

### setErrorStream

    public void setErrorStream(InputStream errorStream)

  Parameters:
    `errorStream` - the errorStream to set

### setInputStream

    public void setInputStream(InputStream inputStream)

  Parameters:
    `inputStream` - the inputStream to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD